Get Clarity Current Process Snapshot
curl --request GET \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/current-process/{current_process_id} \
--header 'Authorization: Bearer <token>'{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_current_process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"description": "<string>",
"action": "<string>",
"rationale": "<string>",
"role": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>"
}
],
"system": "<string>",
"input": "<string>",
"output": "<string>",
"condition": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"readinessRationale": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>"
}
}ClarityV2
Get Clarity Current Process Snapshot
Fetch the full payload of a single current-process snapshot, including the BPMN data JSONB. Lazy-loaded by the picker when the user selects a specific version. v2 only.
GET
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
current-process
/
{current_process_id}
Get Clarity Current Process Snapshot
curl --request GET \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/current-process/{current_process_id} \
--header 'Authorization: Bearer <token>'{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_current_process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"description": "<string>",
"action": "<string>",
"rationale": "<string>",
"role": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>"
}
],
"system": "<string>",
"input": "<string>",
"output": "<string>",
"condition": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"readinessRationale": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>"
}
}Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The clarity process id
The current-process snapshot id
Response
Default Response
Show child attributes
Show child attributes
⌘I